﻿function Initialize()
{
   StrategyName = "SuperTrendF";
   AddParameter("PeriodATR", 5, "", 1);
   AddParameter("PeriodCCI", 50, "", 1);
   AddParameter("K", 1, "", 1);
   AddParameter("SL", 1.1, "StopLoss", 1);
   AddParameter("TP", 1.6, "TakeProfit", 1);
   AddInput("Input1", Inputs.Candle, 60, true, "SBER=МБ ЦК");
   LongLimit = 4750;
   ShortLimit = -4750;
   UseClosedBar = false;
   LiveBarTimeout = 60;
   AddChartIndicator("MY.SuperTrendF", new Dictionary <string, string>{{"PeriodATR", "PeriodATR"},{"PeriodCCI", "PeriodCCI"},{"K", "K"}});
   AddGlobalVariable("N", Types.Int, 0);
   
}

function OnUpdate()
{
  
   var I = Input1;
   var ST = MY.SuperTrendF(Input1, PeriodATR, PeriodCCI, K);
   
    /// ПРАВИЛО 1
   if ( (MY.SuperTrendF(Input1, PeriodATR, PeriodCCI, K).GetValue("U", 1) > 0) )
   {
      EnterLong();
   }

   /// ПРАВИЛО 2
   if ( (MY.SuperTrendF(Input1, PeriodATR, PeriodCCI, K).GetValue("D", 1) > 0) )
   {
      EnterShort();
   }
   /// ПРАВИЛО 3
   if ( (MY.SuperTrendF(Input1, PeriodATR, PeriodCCI, K).GetValue("F", 1) > 0) )
   {
      ClosePosition();
   }

}

